    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2011, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Oracle and Java are registered trademarks of Oracle and/or its affiliates.
    025     * Other names may be trademarks of their respective owners.]
    026     *
    027     * ---------------
    028     * PaintScale.java
    029     * ---------------
    030     * (C) Copyright 2006-2008, by Object Refinery Limited.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited);
    033     * Contributor(s):   -;
    034     *
    035     * Changes
    036     * -------
    037     * 05-Jul-2006 : Version 1 (DG);
    038     * 31-Jan-2007 : Added getLowerBound() and getUpperBound() methods (DG);
    039     *
    040     */
    041
    042    package org.jfree.chart.renderer;
    043
    044    import java.awt.Paint;
    045
    046    import org.jfree.chart.renderer.xy.XYBlockRenderer;
    047
    048    /**
    049     * A source for <code>Paint</code> instances, used by the
    050     * {@link XYBlockRenderer}.
    051     * <br><br>
    052     * NOTE: Classes that implement this interface should also implement
    053     * <code>PublicCloneable</code> and <code>Serializable</code>, so
    054     * that any renderer (or other object instance) that references an instance of
    055     * this interface can still be cloned or serialized.
    056     *
    057     * @since 1.0.4
    058     */
    059    public interface PaintScale {
    060
    061        /**
    062         * Returns the lower bound for the scale.
    063         *
    064         * @return The lower bound.
    065         *
    066         * @see #getUpperBound()
    067         */
    068        public double getLowerBound();
    069
    070        /**
    071         * Returns the upper bound for the scale.
    072         *
    073         * @return The upper bound.
    074         *
    075         * @see #getLowerBound()
    076         */
    077        public double getUpperBound();
    078
    079        /**
    080         * Returns a <code>Paint</code> instance for the specified value.
    081         *
    082         * @param value  the value.
    083         *
    084         * @return A <code>Paint</code> instance (never <code>null</code>).
    085         */
    086        public Paint getPaint(double value);
    087
    088    }